/***************************************************************************
* $Id: MyWidgetView.java 142206 2002-03-10 16:08:04Z rdale $
**
* Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/

import org.kde.qt.*;
import java.util.ArrayList;

class MyWidgetView  extends WidgetView
{
    int s;
public    MyWidgetView(  )
{
	this(null, null);
}

public    MyWidgetView( QWidget parent, String name )
    {
	super(parent, name);
	s = 0;
	setToolBarsMovable( true );
    }

    void button1Clicked()
    {
	ArrayList styles = QStyleFactory.keys();

	s = (++s)%styles.size();
	qApp().setStyle( (String) styles.get(s) );
	super.button1Clicked();
    }


//
// Create and display our WidgetView.
//

public static void main(String[] args)
{
    QApplication.setColorSpec( QApplication.CustomColor );
    QApplication a = new QApplication( args );

    MyWidgetView w = new MyWidgetView();
    a.setMainWidget( w );

    w.show();
    int res = a.exec();
    return;
}
	static {
		qtjava.initialize();
	}
}
